Name:		perl-Sub-Identify
Version:	0.14
Release:	9
Summary:	Retrieve names of code references
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Sub-Identify
Source0:	https://cpan.metacpan.org/authors/id/R/RG/RGARCIA/Sub-Identify-%{version}.tar.gz
BuildRequires: coreutils findutils gcc make perl-interpreter perl-devel
BuildRequires: perl(Config) perl(ExtUtils::MakeMaker) perl(Exporter)
BuildRequires: perl(XSLoader) perl(feature) perl(List::Util) perl-generators
BuildRequires: perl(warnings) perl(Test::More) perl(strict) perl(B)
Requires:      perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:      perl(XSLoader) perl(B)
%{?perl_default_filter}
%description
Sub::Identify allows you to retrieve the real name of code references. For
this, it uses Perl's introspection mechanism, provided by the B module.

%prep
%autosetup -n Sub-Identify-%{version} -p1
perl -MConfig -pi -e 's|^#!perl|$Config{startperl}|' t/*

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.mdown TODO.mdown t/
%{perl_vendorarch}/auto/Sub/
%{perl_vendorarch}/Sub/
%{_mandir}/man3/Sub::Identify.3*

%changelog
* Thu Jul 2 2020 huanghaitao <huanghaitao8@huawei.com> - 0.14-9
- package init
